import { DateTime } from 'luxon';
import { Api, ApiResponseType } from 'rest-api-handler';
export default class FioApi extends Api<ApiResponseType<any>> {
    apiKey: string;
    format: string;
    protected dateFormat: string;
    constructor(apiKey: string, format?: string);
    getTransactionOverview(year: number, overviewNumber: number): Promise<any>;
    getTransactions(start: DateTime, end: DateTime): Promise<any>;
    getLastTransactions(): Promise<any>;
    setLastTransactionById(id: number): Promise<ApiResponseType<any>>;
    setLastTransactionBydate(date: DateTime): Promise<ApiResponseType<any>>;
    getApiUrl(action: string, namespace: string, format?: string): string;
    getTransactionsApiUrl(action: string, namespace?: string): string;
    getLastTransactionSetApiUrl(action: string, value: string): string;
}
