import _defineProperty from '@babel/runtime/helpers/defineProperty';

class FioApiException extends Error {
  /**
   * Response from server that throwed an error.
   */

  /**
   * Constructor.
   *
   * @param response - Processed response from server.
   */
  constructor(response) {
    super(`Fio exception: ${JSON.stringify(response.data)}`);

    _defineProperty(this, "response", void 0);

    this.response = response;
  }

  getResponse() {
    return this.response;
  }

  getRequest() {
    return this.response.request;
  }

}

export default FioApiException;
