import { DateTime } from 'luxon';
interface Source {
    accountId: string;
    bankId: string;
    currency: string;
    iban: string;
    bic: string;
    openingBalance: number;
    closingBalance: number;
    dateStart: string;
    dateEnd: string;
    yearList: number | undefined;
    idList: number | undefined;
    idFrom: number;
    idTo: number;
    idLastDownload: number | undefined;
}
interface Data {
    accountId: number;
    bankId: number;
    dateStart: DateTime;
    dateEnd: DateTime;
    currency: string;
    iban: string;
    bic: string;
    openingBalance: number;
    closingBalance: number;
    yearList: number | undefined;
    idList: number | undefined;
    idFrom: number;
    idTo: number;
    idLastDownload: number | undefined;
}
export default class Info {
    protected data: Data;
    protected source: Source;
    constructor(source: Source);
    getAccountId(): number;
    getBankId(): number;
    getCurrency(): string;
    getIban(): string;
    getBic(): string;
    getOpeningBalance(): number;
    getClosingBalance(): number;
    getStart(): DateTime;
    getEnd(): DateTime;
    getYearList(): number | undefined;
    getIdList(): number | undefined;
    getIdFrom(): number;
    getIdTo(): number;
    getIdLastDownload(): number | undefined;
    getData(): Data;
    getSource(): Source;
}
export {};
