import { DateTime } from 'luxon';
import { TransactionType } from './transaction-types';
interface Data {
    issueDate: DateTime;
    createdDate: DateTime;
    type: TransactionType;
    comment: string | null;
    transactionId: number;
    approvalId: number;
    amount: number;
    currency: string;
    originalAmount: number;
    originalCurrency: string;
    vs: number | null;
    ks: number | null;
    ss: number | null;
    info: string | null;
    message: string | null;
    author: string | null;
    sendToAccountNumber: string | null;
    sendToAccountName: string | null;
    sendToBankCode: string | null;
    sendToBank: string | null;
}
export default class Transaction {
    protected data: Data;
    protected source: Record<string, any>;
    constructor(source: {
        [key: string]: {
            value: any;
        };
    });
    getIssueDate(): DateTime;
    getCreatedDate(): DateTime;
    getTransactionId(): number;
    getApprovalId(): number;
    getAmount(): number;
    getCurrency(): string;
    getOriginalAmount(): number;
    getOriginalCurrency(): string;
    getCounterpartyAccountNumber(): string | null;
    getCounterpartyAccountName(): string | null;
    getCounterpartyBankName(): string | null;
    getCounterpartyBankNumber(): string | null;
    getVs(): number | null;
    getKs(): number | null;
    getSs(): number | null;
    getInfo(): string | null;
    getMessage(): string | null;
    getAuthor(): string | null;
    getData(): Data;
}
export {};
